Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Create project

Prev Next

Available in Classic and VPC

Create project.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /common/v2/projects

Request headers

For information about the headers common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service request headers.

Request body

You can include the following data in the body of your request:

Field Type Required Description
projectName String Required Project name
  • Enter within 24 characters using a combination of lowercase English letters, numbers, and the special characters "-" and "_".
projectDesc String Optional Project description
  • 0-128 characters
useKkoBizMsg Boolean Optional Biz Message service usage
  • true | false (default)
    • true: Enable
    • false: Disable
  • Service metadata is generated even when false and can be edited later.
useSms Boolean Optional SMS service usage
  • true | false (default)
    • true: Enable
    • false: Disable
  • Service metadata is generated even when false and can be edited later.

Request example

The request example is as follows:

curl --location --request POST 'https://sens.apigw.ntruss.com/common/v2/projects' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
    "projectName": "mypush",
    "projectDesc": "push service",
    "useKkoBizMsg": true,
    "useSms": false
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
projectId String - Project ID
projectName String - Project name
projectDesc String - Project description
useSms Boolean - SMS service usage
  • true | false
    • true: Enable
    • false: Disable
useKkoBizMsg Boolean - Biz Message service usage
  • true | false
    • true: Enable
    • false: Disable
smsService Object - SMS service meta information
  • Meta information is created even if useSms is false.
smsService.serviceId String - SMS service ID
smsService.serviceName String - SMS service name
smsService.createTime String - SMS service creation date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
smsService.updateTime String - SMS service modification date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
smsService.useBlockService Boolean - 080 call block number service usage
  • true | false
    • true: Enable
    • false: Disable
kkoBizMsgService Object - Biz Message service meta information
  • Meta information is created even if useKkoBizMsg is false.
kkoBizMsgService.serviceId String - Biz Message service ID
kkoBizMsgService.serviceName String - Biz Message service name
kkoBizMsgService.createTime String - Biz Message service creation date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
kkoBizMsgService.updateTime String - Biz Message service modification date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
createTime String - Project creation date and time
  • YYYY-MM-DDTHH:mm:ss.sss format

Response status codes

For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service response status codes.

Response example

The response example is as follows:

{
    "projectId": "b674e9e0-****-****-****-165e285c8497",
    "projectName": "mypush",
    "projectDesc": "push service",
    "useSms": false,
    "useKkoBizMsg": true,
    "smsService": {
        "serviceId": "ncp:sms:kr:27********30:mypush",
        "serviceName": "mypush",
        "createTime": "2025-11-18T08:55:01.578",
        "updateTime": "2025-11-18T08:55:01.576",
        "useBlockService": false
    },
    "kkoBizMsgService": {
        "serviceId": "ncp:kkobizmsg:kr:27********13:mypush",
        "serviceName": "mypush",
        "createTime": "2025-11-18T08:55:01.617",
        "updateTime": "2025-11-18T08:55:01.616"
    },
    "createTime": "2025-11-18T08:55:01.558"
}